/*******************************************************************************
 * Copyright (c) 2002, 2006 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.core.tools.restorer;
import org.eclipse.core.runtime.IPath;
import org.eclipse.core.runtime.IStatus;

/**
 * This interface is intended to be implemented by extensions for 
 * the <code>restorers</code> extension point (at most one per plug-in).
 */
public interface IRestorer {

	/**
	 * Tries to restore files from an old (and probably corrupted) plug-in
	 * metadata area. Any problems encountered must be handled by the 
	 * contributor and reported by returning a status object. 
	 *   
	 * @param oldMetadataArea the old plug-in's metadata area from where to 
	 * restore files
	 * @return a status object indicating the outcome of the restore
	 */
	public IStatus restoreFrom(IPath oldMetadataArea);

}