/*******************************************************************************
 * Copyright (c) 2003, 2006 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.core.tools.restorer;

import org.eclipse.core.runtime.Plugin;

public class RestorerPlugin extends Plugin {

	/** This plug-in unique identifier. */
	public static final String PI_RESTORER = "org.eclipse.core.tools.restorer"; //$NON-NLS-1$

	/** This plug-in (unique) extension-point name. */
	public static final String EXTENSION_POINT_NAME = "restorers"; //$NON-NLS-1$
	
	/** The fully-qualified extension point id. */
	public static final String PT_RESTORERS = PI_RESTORER + "." + EXTENSION_POINT_NAME; //$NON-NLS-1$

	/** This plug-in extension-point configuration element property. */
	public static final String RESTORER_CLASS_PROPERTY = "class"; //$NON-NLS-1$

	/** The shared instance.*/
	private static Plugin plugin;

	/**
	 * The plug-in constructor.
	 */
	public RestorerPlugin() {
		plugin = this;
	}

	/**
	 * Returns the shared instance.
	 * 
	 * @return this plug-in's shared instance.
	 */
	public static Plugin getDefault() {
		return plugin;
	}
}
